%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/go-playground/universal-translator
Version:                0.18.1

%gometa

%global common_description %{expand:
i18n Translator for Go/Golang using CLDR data + pluralization
rules.}

%global golicenses      LICENSE
%global godocs          _examples README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        i18n Translator for Go/Golang

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.1-1
- initial build
